html, body {
  height: 100%;
}
body {
  padding-top: 50px;
}

/* wrapper for page content to push down footer */
#wrap {
  min-height: 100%;
  height: auto !important;
  height: 100%;
  margin: 0 auto -40px;
}
#content {
  padding-top: 55px;
  padding-bottom: 5px;
}
.aligned-input {
  padding-left: 8px;
}

/* footer */
#footer, #push {
  height: 40px;

  @media (max-width: @screen-xs-max) {
    height: 0px;
  }
}

#footer {
  padding: 10px 0;
  background-color: @navbar-inverse-bg;
  color: @navbar-inverse-color;
  border-top: 1px solid @navbar-inverse-border;

  @media (max-width: @screen-xs-max) {
    display: none;
  }
}
.wowthing-version {
  color: #ddd;
}

// Navbar login form
#navbar-login-form {
  input {
    margin-right: 5px;
  }
}

.col-center {
  float: none;
  margin-left: auto;
  margin-right: auto;
}

// Faction rows
.faction-alliance {
  // td {
    //background-color: darken(@alliance-color, 30%);

    div, img {
      border-color: lighten(@alliance-color, 10%);
    }
  // }
}
.faction-horde {
  td {
    //background-color: darken(@horde-color, 45%);

    div, img {
      border-color: lighten(@horde-color, 20%);
    }
  }
}

.faction-alliance,
.faction-horde {
  td {
    a {
      color: darken(@link-color, 10%);
      text-decoration: underline;
    }
  }
}

.faction0 {
  border-color: @alliance-color;
}
.faction1 {
  border-color: @horde-color;
}
.faction2 {
  border-color: @q7-color;
}

/*************/
/* Qualities */
/*************/
// Junk
.quality0 {
  color: @q0-color;
  div,img {
    border-color: @q0-color;
  }
}
// Common
.quality1 {
  color: @q1-color;
  div,img {
    border-color: darken(@q1-color, 5%) !important;
  }
}
// Uncommon
.quality2 {
  color: @q2-color;
  div,img {
    border-color: darken(@q2-color, 5%) !important;
  }
}
// Rare
.quality3 {
  color: @q3-color;
  div,img {
    border-color: darken(@q3-color, 5%) !important;
  }
}
// Epic
.quality4 {
  color: @q4-color;
  div,img {
    border-color: darken(@q4-color, 5%) !important;
  }
}
// Legendary
.quality5 {
  color: @q5-color;
  div,img {
    border-color: lighten(@q5-color, 5%) !important;
  }
  span {
    color: #ffb400 !important;
  }
}
// Artifact
.quality6 {
  color: @q6-color;
  div,img {
    border-color: @q6-color !important;
  }
}
// Heirloom
.quality7 {
  color: @q7-color;
  div,img {
    border-color: @q7-color !important;
  }
}

// Nav thing
.nav-border-right {
  border-right: 1px solid @navbar-inverse-border;
}

.highlight {
  color: @highlight-color !important;
}
.warning {
  color: @warning-color !important;
}
.exciting {
  color: lighten(@q5-color, 30%);
}
.yellowish {
  color: #ffff88;
}

.faded {
  opacity: 0.5;
}
.faded-more {
  opacity: 0.3;
}
.faded-less {
  opacity: 0.7;
}

.dotted {
  border-bottom: 1px dotted #eee;
}

.popover hr {
  margin: 0.5em 0;
  border-top: 1px solid #888;
}

.margin-half-top {
  margin-top: 0.5em;
}
